Templates
Duplicate a template (deep copy)
POST
Creates a new template owned by the requesting user. Each non-hidden preset in the source template is copied as a new preset owned by the requesting user, with a fresh preset_code. The copy is limited to 50 presets.
token_authheader
AuthorizationBearer <token>Token-based authentication using access tokens.
template_id*stringapplication/json- body
name*NameDisplay name for the new template.
thumbnail_url?|Optional thumbnail URL for the new template. Defaults to the source template's thumbnail.
Default
nullshare_with_groups?Share With GroupsIf true, copy the source presets' group-sharing relationships to the new presets.
Default
falseSuccessful Response
application/json- response
category*The newly created template.
preset_count*Preset CountNumber of presets copied into the new template.
curl -X POST "https://example.com/preset/templates/string/duplicate" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "category": { "id": "string", "name": "string", "description": "string", "thumbnail_url": "string", "visibility": "shared", "created_by": "string", "created_at": "string", "swatch_source": null, "preset_count": 0, "preset_types": [ "flat_2_model" ], "groups": [ "string" ], "preset_previews": [ { "preset_code": "string", "name": "string", "preview_url": null, "framing": null, "angle": null } ] }, "preset_count": 0}